<?php
/*
* @ServerMon v1.1
* @Developed by Maksa988
* @www.Server-Mon.ru
* @Copyright (C) 2014
*/
 if(!defined('SMON'))
	die('Hacking attempt!');
	
class setting extends Controller {
	public function __construct() {

		$this->header();
		$this->model('users');
		$this->model('setting');
		$this->model('vote');
		
		if(empty($_SESSION['user_id'])):
			return $this->view(array('login/index'), $this->data); //Загружаем шаблон
		endif;
		
		$user = $this->usersModel->getUser($_SESSION['user_id']);
		$this->data['user'] = $user;
		
		if($user['user_group'] != $this->setting('admin_group')):
			$this->data['error'] = 'Вы не имеете доступа!';
			return $this->view(array('login/index'), $this->data); //Загружаем шаблон
		endif;
		
		$this->data['activeSection'] = 'setting';
		$this->data['menu'] = array(array('url'=> 'setting/logs?clear=auth', 'icon' => 'remove', 'name'=> 'Очистить логи авторизации'), array('url'=> 'setting/logs?clear=vote', 'icon' => 'remove', 'name'=> 'Очистить логи голосов')); 
		
		$this->data['auth'] = $this->usersModel->getAuth();
		$this->data['vote'] = $this->voteModel->getVote();
		
		if($this->GET('clear') == 'auth'){
			if($this->userModel->clearAuth()){
				$this->data['success'] = 'Логи авторизаций очищены.';
			} else {
				$this->data['error'] = 'При очистке данных произошла ошибка. Повторите попытку.';
			}
		} elseif($this->GET('clear') == 'vote'){
			if($this->voteModel->clearVote()){
				$this->data['success'] = 'Логи голосов очищены.';
			} else {
				$this->data['error'] = 'При очистке данных произошла ошибка. Повторите попытку.';
			}
		}
		
		return $this->view(array('common/header', 'setting/logs', 'common/footer'), $this->data); //Загружаем шаблон
	}
}